Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object PipelineMain
  Definition Classes
    nsc
- BuildStrategy
- OutlineTypePipeline
- Pipeline
- PipelineSettings
- Traditional

c

scala.tools.nsc.PipelineMain

# PipelineSettings 

###

#### case class PipelineSettings(label: String, parallelism: Int, strategy: BuildStrategy, useJars: Boolean, configuredPickleCache: Option[Path], cacheMacro: Boolean, cachePlugin: Boolean, stripExternalClassPath: Boolean, useTraditionalForLeaf: Boolean, logDir: Option[Path], createReporter: (Settings) ⇒ Reporter) extends Product with Serializable

Source
  PipelineMain.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PipelineSettings
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PipelineSettings(label: String, parallelism: Int, strategy: BuildStrategy, useJars: Boolean, configuredPickleCache: Option[Path], cacheMacro: Boolean, cachePlugin: Boolean, stripExternalClassPath: Boolean, useTraditionalForLeaf: Boolean, logDir: Option[Path], createReporter: (Settings) ⇒ Reporter)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PipelineSettings to any2stringadd[PipelineSettings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PipelineSettings, B)
   Implicit
     This member is added by an implicit conversion from PipelineSettings to ArrowAssoc[PipelineSettings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val cacheMacro: Boolean
8.  val cachePlugin: Boolean
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  val configuredPickleCache: Option[Path]
11.  val createReporter: (Settings) ⇒ Reporter
12.  def ensuring(cond: (PipelineSettings) ⇒ Boolean, msg: ⇒ Any): PipelineSettings
    Implicit
      This member is added by an implicit conversion from PipelineSettings to Ensuring[PipelineSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (PipelineSettings) ⇒ Boolean): PipelineSettings
    Implicit
      This member is added by an implicit conversion from PipelineSettings to Ensuring[PipelineSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): PipelineSettings
    Implicit
      This member is added by an implicit conversion from PipelineSettings to Ensuring[PipelineSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): PipelineSettings
    Implicit
      This member is added by an implicit conversion from PipelineSettings to Ensuring[PipelineSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PipelineSettings to StringFormat[PipelineSettings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val label: String
22.  val logDir: Option[Path]
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  val parallelism: Int
27.  val strategy: BuildStrategy
28.  val stripExternalClassPath: Boolean
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  val useJars: Boolean
31.  val useTraditionalForLeaf: Boolean
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
35.  def →[B](y: B): (PipelineSettings, B)
    Implicit
      This member is added by an implicit conversion from PipelineSettings to ArrowAssoc[PipelineSettings] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PipelineSettings to any2stringadd[PipelineSettings]

### Inherited by implicit conversion StringFormat from PipelineSettings to StringFormat[PipelineSettings]

### Inherited by implicit conversion Ensuring from PipelineSettings to Ensuring[PipelineSettings]

### Inherited by implicit conversion ArrowAssoc from PipelineSettings to ArrowAssoc[PipelineSettings]

### Ungrouped